#include <io.h>

#define K_CONST_H	3
#define K_CONST_L	1
#define MAXFAXLINELEN	312
#define OUTBUFSIZE	(8*1024)

typedef unsigned short uword;
typedef unsigned char uchar;

typedef struct
{
	uword bitnr;
	uword bytenr;
	uword scan;
	uword cnt_2d;
	short b1;
	short b2;
	short lce_col;
	short cnt_ref;
	uchar refline[MAXFAXLINELEN];
	uchar outbuf[OUTBUFSIZE];
	uchar *outptr;
	short res;
	short pack;
	short line_2d;
	short pix;
	Channel chid;
	int maxlines;
	short mbits[8];
} CODERSTATE;

extern int FaxFlushBuf(CODERSTATE *, short);
extern void FaxCloseFile(CODERSTATE *);
extern void FaxBeginPage(CODERSTATE *);
extern int FaxCodeLine(CODERSTATE *, uchar *);
extern void FaxCodeEOP(CODERSTATE *);
extern void FaxInitCoder(CODERSTATE *);
extern void FaxOpenFile(CODERSTATE *, Channel, short, short, short);
extern void FaxFreeCoder(CODERSTATE *);
extern void FaxHeader(CODERSTATE *, short, short, short, char *);
